#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int resenje[m]={0};
    int vage[n*2];
    for(int i=0; i<n*2; i++)
    {
        cin>>vage[i];
    }
    for(int i=0; i<m; i++)
    {
        int mi,vi,k;
        cin>>mi>>vi>>k;
        for(int j=(mi-1)*2; j<=(vi-1)*2; j+=2)
            if(k>=vage[j]&&k<=vage[j+1])
                resenje[i]++;
    }
    for(int i=0; i<m-1; i++)
    {
        cout<<resenje[i]<<"\n";
    }
    cout<<resenje[m-1];
}